Page MenuHomePhabricator

Add Grafana dashboard for WANObjectCache statsd
Closed, ResolvedPublic

Description

Code is in prod that sends stats to Graphite, but we're not graphing or monitoring them yet.

Event Timeline

Krinkle created this task.Jun 21 2018, 9:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2018, 9:21 AM
Krinkle renamed this task from Add Grafana dashboard for WANObjectCache statd to Add Grafana dashboard for WANObjectCache statsd.Jun 21 2018, 9:21 AM
Vvjjkkii renamed this task from Add Grafana dashboard for WANObjectCache statsd to ijaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed aaron as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: aaron; removed: Aklapper.
CommunityTechBot renamed this task from ijaaaaaaaa to Add Grafana dashboard for WANObjectCache statsd.Jul 2 2018, 8:09 AM
CommunityTechBot assigned this task to aaron.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: aaron.
aaron removed aaron as the assignee of this task.Jul 3 2018, 3:35 PM
aaron added a project: Goal.
aaron added a subscriber: aaron.

Change 513738 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] objectcache: Document WANObjectCache statsd metrics

https://gerrit.wikimedia.org/r/513738

I've created a starting point for this:

We can take a look at this during our off site and tune it further.

Krinkle assigned this task to aaron.Jun 13 2019, 7:39 PM

Change 513738 merged by Krinkle:
[mediawiki/core@master] objectcache: Document WANObjectCache statsd metrics

https://gerrit.wikimedia.org/r/513738

Krinkle triaged this task as Medium priority.Jul 13 2019, 12:58 AM
Krinkle closed this task as Resolved.Aug 5 2019, 4:25 PM
Krinkle edited projects, added Performance-Team-publish; removed Goal.

Change 536720 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Storage: Use a more descriptive WAN cache keyclass in 'SqlBlobStore'

https://gerrit.wikimedia.org/r/536720

Change 536720 merged by jenkins-bot:
[mediawiki/core@master] Storage: Use a more descriptive WAN cache keyclass in 'SqlBlobStore'

https://gerrit.wikimedia.org/r/536720